> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Partial Update Chart Account



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json patch /coa/api/account/{id}
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/account/{id}:
    patch:
      tags:
        - Company Objects
      summary: Partial Update Chart Account
      operationId: coa_api_account_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedChartAccount'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedChartAccount'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedChartAccount'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChartAccount'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    PatchedChartAccount:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        reconciliation_ending_date:
          type: string
          format: date
          readOnly: true
        reconciliation_ending_balance:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
        balance_ytd:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
        name_and_number:
          type: string
          readOnly: true
        parent_name_and_number:
          type: string
          readOnly: true
          nullable: true
        sort_key:
          type: string
          readOnly: true
        has_associated_data:
          type: boolean
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        account_id:
          type: string
          format: uuid
          readOnly: true
        number:
          type: string
          nullable: true
          maxLength: 12
        currency:
          type: string
          maxLength: 3
        name:
          type: string
          nullable: true
          maxLength: 250
        nickname:
          type: string
          nullable: true
          maxLength: 250
        description:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/Status372Enum'
        account_type:
          $ref: '#/components/schemas/AccountTypeEnum'
        account_subtype:
          $ref: '#/components/schemas/AccountSubtypeEnum'
        account_cashflow_classification:
          $ref: '#/components/schemas/AccountCashflowClassificationEnum'
        include_in_eliminations:
          type: boolean
        include_in_revaluations:
          type: boolean
        protected:
          type: boolean
        skip_subledger_validation:
          type: boolean
          description: >-
            Allow manual journal entries to post to this AR/AP account,
            bypassing subledger validation
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_recompute_balance_at:
          type: string
          format: date-time
          nullable: true
        lock_recompute_balance_key:
          type: string
          nullable: true
          maxLength: 250
        current_balance:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        current_balance_book:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        customer:
          type: integer
          readOnly: true
        parent:
          type: integer
          nullable: true
        parent_bank_account:
          type: integer
          nullable: true
    ChartAccount:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        is_deleted:
          type: boolean
          readOnly: true
          default: false
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        reconciliation_ending_date:
          type: string
          format: date
          readOnly: true
        reconciliation_ending_balance:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
        balance_ytd:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          readOnly: true
        name_and_number:
          type: string
          readOnly: true
        parent_name_and_number:
          type: string
          readOnly: true
          nullable: true
        sort_key:
          type: string
          readOnly: true
        has_associated_data:
          type: boolean
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
        account_id:
          type: string
          format: uuid
          readOnly: true
        number:
          type: string
          nullable: true
          maxLength: 12
        currency:
          type: string
          maxLength: 3
        name:
          type: string
          nullable: true
          maxLength: 250
        nickname:
          type: string
          nullable: true
          maxLength: 250
        description:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/Status372Enum'
        account_type:
          $ref: '#/components/schemas/AccountTypeEnum'
        account_subtype:
          $ref: '#/components/schemas/AccountSubtypeEnum'
        account_cashflow_classification:
          $ref: '#/components/schemas/AccountCashflowClassificationEnum'
        include_in_eliminations:
          type: boolean
        include_in_revaluations:
          type: boolean
        protected:
          type: boolean
        skip_subledger_validation:
          type: boolean
          description: >-
            Allow manual journal entries to post to this AR/AP account,
            bypassing subledger validation
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_recompute_balance_at:
          type: string
          format: date-time
          nullable: true
        lock_recompute_balance_key:
          type: string
          nullable: true
          maxLength: 250
        current_balance:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        current_balance_book:
          type: number
          format: double
          maximum: 1000000000000000000
          minimum: -1000000000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
        customer:
          type: integer
          readOnly: true
        parent:
          type: integer
          nullable: true
        parent_bank_account:
          type: integer
          nullable: true
      required:
        - account_id
        - balance_ytd
        - created_at
        - customer
        - deleted_at
        - has_associated_data
        - id
        - is_deleted
        - last_modified_at
        - name_and_number
        - number
        - parent_name_and_number
        - reconciliation_ending_balance
        - reconciliation_ending_date
        - sort_key
    Status372Enum:
      enum:
        - ACTIVE
        - INACTIVE
      type: string
      description: |-
        * `ACTIVE` - Active
        * `INACTIVE` - Inactive
    AccountTypeEnum:
      enum:
        - ASSET
        - LIABILITY
        - EQUITY
        - REVENUE
        - COGS
        - OPERATING_EXPENSES
        - OTHER_INCOME
        - OTHER_EXPENSE
        - UNCATEGORIZED
        - COST_ALLOCATION
      type: string
      description: |-
        * `ASSET` - Asset
        * `LIABILITY` - Liability
        * `EQUITY` - Equity
        * `REVENUE` - Revenue
        * `COGS` - Cost of Goods Sold
        * `OPERATING_EXPENSES` - Operating Expenses
        * `OTHER_INCOME` - Other Income
        * `OTHER_EXPENSE` - Other Expense
        * `UNCATEGORIZED` - Uncategorized
        * `COST_ALLOCATION` - Cost Allocation
    AccountSubtypeEnum:
      enum:
        - BANK
        - ACCOUNTS_RECEIVABLE
        - OTHER_CURRENT_ASSET
        - FIXED_ASSET
        - OTHER_ASSET
        - ACCOUNTS_PAYABLE
        - UNAPPLIED_CREDITS
        - CREDIT_CARD
        - ACCRUED_REVENUE
        - DEFERRED_REVENUE
        - OTHER_CURRENT_LIABILITY
        - LONG_TERM_LIABILITY
        - UNBILLED_RECEIVABLE
        - EQUITY
        - RETAINED_EARNINGS
        - INCOME
        - COST_OF_GOODS_SOLD
        - EXPENSE
        - DEFERRED_EXPENSE
        - OTHER_INCOME
        - OTHER_EXPENSE
        - REALIZED_GAIN_LOSS
        - UNREALIZED_GAIN_LOSS
        - PREPAID
        - COST_ALLOCATION
        - UNCATEGORIZED
      type: string
      description: |-
        * `BANK` - Bank
        * `ACCOUNTS_RECEIVABLE` - Accounts Receivable
        * `OTHER_CURRENT_ASSET` - Other Current Asset
        * `FIXED_ASSET` - Fixed Asset
        * `OTHER_ASSET` - Other Asset
        * `ACCOUNTS_PAYABLE` - Accounts Payable
        * `UNAPPLIED_CREDITS` - Unapplied Credits
        * `CREDIT_CARD` - Credit Card
        * `ACCRUED_REVENUE` - Accrued Revenue
        * `DEFERRED_REVENUE` - Deferred Revenue
        * `OTHER_CURRENT_LIABILITY` - Other Current Liability
        * `LONG_TERM_LIABILITY` - Long Term Liability
        * `UNBILLED_RECEIVABLE` - Unbilled Receivable
        * `EQUITY` - Equity
        * `RETAINED_EARNINGS` - Retained Earnings
        * `INCOME` - Income
        * `COST_OF_GOODS_SOLD` - Cost of Goods Sold
        * `EXPENSE` - Expense
        * `DEFERRED_EXPENSE` - Deferred Expense
        * `OTHER_INCOME` - Other Income
        * `OTHER_EXPENSE` - Other Expense
        * `REALIZED_GAIN_LOSS` - Realized Gain Loss
        * `UNREALIZED_GAIN_LOSS` - Unrealized Gain Loss
        * `PREPAID` - Prepaid
        * `COST_ALLOCATION` - Cost Allocation
        * `UNCATEGORIZED` - Uncategorized
    AccountCashflowClassificationEnum:
      enum:
        - NONE
        - OPERATING
        - INVESTING
        - FINANCING
      type: string
      description: |-
        * `NONE` - None
        * `OPERATING` - Operating
        * `INVESTING` - Investing
        * `FINANCING` - Financing
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````